<?php add_action( 'vc_before_init', 'dt_sc_portfolios_vc_map' );
function dt_sc_portfolios_vc_map() {

	$arr = array( esc_html__('Yes','dental-core') => 'yes', esc_html__('No','dental-core') => 'no' );

	vc_map( array(
		"name" => esc_html__( "Portfolio Items", 'dental-core' ),
		"base" => "dt_sc_portfolios",
		"icon" => "dt_sc_portfolios",
		"category" => DT_VC_CATEGORY,
		"params" => array(

			// Post Count
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Post Counts', 'dental-core' ),
				'param_name' => 'count',
				'description' => esc_html__( 'Enter post count', 'dental-core' ),
				'admin_label' => true
			),

			// Post column
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Columns','dental-core'),
				'param_name' => 'column',
				'value' => array(
					esc_html__('II Columns','dental-core') => 2 ,
					esc_html__('III Columns','dental-core') => 3,
					esc_html__('IV Columns','dental-core') => 4,

				),
				'std' => '3'
			),

			// Post style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Style','dental-core'),
				'param_name' => 'style',
				'value' => array(
					esc_html__('Modern Title','dental-core') => 'type1', 
					esc_html__('Title & Icons Overlay','dental-core') => 'type2', 
					esc_html__('Title Overlay','dental-core') => 'type3', 
					esc_html__('Icons Only','dental-core') => 'type4', 
					esc_html__('Classic','dental-core') => 'type5', 
					esc_html__('Minimal Icons','dental-core') => 'type6', 
					esc_html__('Presentation','dental-core') => 'type7', 
					esc_html__('Girly','dental-core') => 'type8', 
					esc_html__('Art','dental-core') => 'type9' 
				),
				'std' => 'type1',
				'admin_label' => true
			),

			// Allow Grid Space
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Allow Grid Space','dental-core'),
				'param_name' => 'allow_gridspace',
				'value' => $arr
			),

			// Allow Filter
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Allow Filter','dental-core'),
				'param_name' => 'allow_filter',
				'value' => $arr
			),

			// Term ID(s)
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Terms', 'dental-core' ),
				'param_name' => 'terms',
				'description' => esc_html__( 'Enter Portfolio Terms', 'dental-core' )
			),						
		)
	) );
} ?>